version: '3'

tasks:
    
  build:
      cmds:
      - |
        tinygo build -o index.page.wasm \
          -scheduler=none \
          --no-debug \
          -target wasi ./main.go 
        ls -lh *.wasm
  
  serve:
    cmds:
      - |
        capsule-http --wasm=index-page.wasm --httpPort=8080
        